## mpdcon.app 1.5.1

=== debian/changelog ===
mpdcon.app (1.5.1-0.2build4) questing; urgency=medium

  * Rebuild against latest gnustep

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 08:39:20 -0400

mpdcon.app (1.5.1-0.2build3) plucky; urgency=medium

  * Rebuild against new multiarch framework.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 20:55:20 +0100

mpdcon.app (1.5.1-0.2build2) oracular; urgency=medium

  * Rebuild against gnustep 1.30

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Jul 2024 17:39:12 -0400

mpdcon.app (1.5.1-0.2build1) noble; urgency=high

  * No change rebuild against libmpdclient2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:00:42 +0200

mpdcon.app (1.5.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Move to unstable.

 -- Bastian Germann <bage@debian.org>  Tue, 22 Aug 2023 11:39:47 +0200

mpdcon.app (1.5.1-0.1) experimental; urgency=low

  * Non-maintainer upload.

  [ Yavor Doganov ]
  * New upstream release.
  * debian/compat: Set to 9.
  * debian/control (Build-Depends): Add libsqlclient-dev,
    libmpdclient-dev and libbsd-dev.  Require debhelper to >= 9 and
    libgnustep-gui-dev >= 0.24.
    (Vcs-*): Switch from Arch to Git. (Closes: #1025510)
    (Homepage): Update for the new home at GAP.
    (Standards-Version): Compliant with 3.9.5 as of this release.
  * debian/source/format: Switch to 3.0 (quilt). (Closes: #1007567)
  * debian/patches/link-libs.patch: New; fixes FTBFS with ld
    --no-undefined.
  * debian/patches/series: New file.
  * debian/preinst: Delete.
  * debian/rules: Update for modern dh.  Enable hardening.
  * debian/install: New file.
  * debian/MPDCon.desktop: Add Keywords field.
  * debian/watch: Update for the new upstream location.
  * debian/copyright: Rewrite in format 1.0, update copyright
    holders/years and remove info about the bundled libmpdclient.
    Clarify that the license that applies to the whole work is GPL-3+.

 -- Bastian Germann <bage@debian.org>  Wed, 09 Aug 2023 18:15:09 +0200

mpdcon.app (1.1.99-5) unstable; urgency=low

  * debian/compat: Set to 7.
  * debian/control (Section): Change to `gnustep'.
    (Build-Depends): Require debhelper >= 7, unversion
    libgnustep-gui-dev.
    (Depends): Add ${misc:Depends} and ${gnustep:Depends}.
    (Description): Extend.
    (Standards-Version): Compliant with 3.8.4 as of this release.
    (Homepage, Vcs-Arch): New fields.
  * debian/rules: Include /usr/share/GNUstep/debian/config.mk, export
    GNUSTEP_MAKEFILES and get rid of gs_make.
    (OPTFLAG): No longer define; rework noopt handling to be compatible
    with gnustep-make/2.4.x (Closes: #581964).
    (clean): Simplify rule.
    (install): Replace dh_clean -k with dh_prep.  Don't install the
    lintian override.
    (binary-arch): Do not invoke dh_desktop.  Conditionally move Resources
    to /usr/share/GNUstep.
  * debian/lintian-override: Delete.
  * debian/preinst:
  * debian/source/format:
  * debian/watch: New file.
  * debian/MPDCon.desktop: Make it valid.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 31 May 2010 22:09:31 +0300

mpdcon.app (1.1.99-4) unstable; urgency=low

  * debian/control (Build-Depends): Wrap them and bump libgnustep-gui-dev
    to >= 0.14 to ensure it gets built against the proper libs for m68k,
    hurd-i386 and kfreebsd-*.
    (Standards-Version): Claim compliance with 3.8.0 (no changes needed).
  * debian/rules (build-stamp): Use gs_make.
    (install): Define GNUSTEP_INSTALLATION_DIR to the empty string to
    override the value in upstream's makefile, hopefully preventing FTBFS
    on amd64 and s390 (Closes: #490087).
    (binary-arch): Invoke dh_desktop (fixes a lintian warning, although
    does nothing in practice).

 -- Yavor Doganov <yavor@gnu.org>  Wed, 09 Jul 2008 23:02:14 +0300

mpdcon.app (1.1.99-3) unstable; urgency=low

  [Yavor Doganov]

  * debian/control (Maintainer): Adopting package, thanks Gürkan for
    maintaining it so far.  Set the GNUstep team as maintainer (Closes:
    #452253).
    (Uploaders): Add myself.
    (Build-Depends): Bump debhelper to >= 5, libgnustep-gui-dev to >=
    0.12.  Drop gnustep-make.  Add imagemagick for the icon conversion.
    (Provides): Add, provides mpd-client; thanks Eric Wong (Closes:
    #270022).
  * debian/compat: Set to 5.
  * debian/dirs: Deleted.
  * debian/rules (d_app, LDFLAGS): Define.
    (OPTFLAG): Define conditionally.
    (build-stamp): Do not source GNUstep.sh; define GNUSTEP_MAKEFILES and
    honor the flags we set.  Touch the target using automatic variable.
    Convert the app icon in XPM format for the menu.
    (clean): Use gs_make (Closes: #451452).  Delete the generated icon.
    (install): Adapt as the build-stamp target.  Delete the invalid
    desktop file and install our.  Install the XPM icon and the lintian
    override here.  Do not invoke dh_installdirs; not used.
    (binary-arch): Do not create symlynk to the app wrapper.
  * debian/MPDCon.desktop: Add.
  * debian/menu (section): Changed to `Applications/Sound'.
    (icon, longtitle): Add.

  [Hubert Chathi]

  * debian/control (Suggests): add Suggests mpd.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 27 Nov 2007 19:12:33 +0000

mpdcon.app (1.1.99-2) unstable; urgency=low

  * Rebuild against latest libgnustep-gui-dev.
  * Bump standards version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Fri, 22 Sep 2006 21:30:02 +0200

mpdcon.app (1.1.99-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 14 Mar 2006 09:46:18 +0100

mpdcon.app (1.1-3) unstable; urgency=low

  * Rebuild against latest libgnustep-gui.
  * Update manual page.
  * Bump standards version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 23 Jan 2006 21:55:45 +0100

mpdcon.app (1.1-2) unstable; urgency=low

  * Renamed source package to mpdcon.app.
  * Updated manual page.
  * Updated debian/control build-depends for GNUstep 0.9.4.
  * Fixed debian/copyright.
  * Removed comments from debian/rules.


