=== debian/control ===
Source: mpdcon.app
Section: gnustep
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Yavor Doganov <yavor@gnu.org>
Build-Depends: debhelper (>= 9),
	       libgnustep-gui-dev (>= 0.24),
	       libsqlclient-dev,
	       libmpdclient-dev,
	       libbsd-dev,
	       imagemagick
Vcs-Git: https://salsa.debian.org/gnustep-team/mpdcon.app.git
Vcs-Browser: https://salsa.debian.org/gnustep-team/mpdcon.app
Standards-Version: 3.9.5
Homepage: http://gap.nongnu.org/mpdcon/

Package: mpdcon.app
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ${gnustep:Depends}
Provides: mpd-client
Suggests: mpd
Description: MPD controller for GNUstep
 MPDCon is a simple GNUstep controller for MPD (Music Player Daemon).
 It has minimalistic graphical interface, although it provides the
 basic features an MPD client is supposed to offer.
