=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/GNUstep/debian/config.mk

d_app := $(CURDIR)/debian/mpdcon.app
export GNUSTEP_MAKEFILES := $(GS_MAKE_DIR)
export GNUSTEP_INSTALLATION_DOMAIN := SYSTEM
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined -Wl,--as-needed

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
optim := debug=yes
endif

%:
	dh $@

override_dh_auto_build:
	$(MAKE) $(optim) messages=yes need-libbsd=yes \
	  $(shell dpkg-buildflags --export=cmdline)
	convert Resources/MPDCon.tiff -resize 32x32 MPDCon.xpm

override_dh_clean:
	dh_clean MPDCon.xpm

override_dh_link:
	gsdh_gnustep
	dh_installdirs usr/share/GNUstep
	$(RM) $(d_app)$(GNUSTEP_SYSTEM_APPS)/*.app/Resources/COPYING
	$(RM) $(d_app)$(GNUSTEP_SYSTEM_APPS)/*.app/Resources/*.desktop
	mv $(d_app)$(GNUSTEP_SYSTEM_APPS)/MPDCon.app/Resources \
	  $(d_app)/usr/share/GNUstep/MPDCon.app
	dh_link usr/share/GNUstep/MPDCon.app \
	  $(GNUSTEP_SYSTEM_APPS)/MPDCon.app/Resources
